Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Class StandardContourToolTipGenerator

    java.lang.Object
      org.jfree.chart.labels.StandardContourToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, ContourToolTipGenerator

Deprecated. This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public class StandardContourToolTipGenerator

extends java.lang.Object
implements ContourToolTipGenerator, java.io.Serializable

A standard tooltip generator for plots that use data from an `ContourDataset`.

See Also:
  Serialized Form

Constructor Summary
`StandardContourToolTipGenerator()` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated. Tests if this object is equal to another.
`java.lang.String` | `generateToolTip(ContourDataset data, int item)` Deprecated. Generates a tooltip text item for a particular item within a series.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardContourToolTipGenerator

    public StandardContourToolTipGenerator()

  Deprecated.

Method Detail

### generateToolTip

    public java.lang.String generateToolTip(ContourDataset data,
                                            int item)

  Deprecated.
  Generates a tooltip text item for a particular item within a series.

  Specified by:
    `generateToolTip` in interface `ContourToolTipGenerator`
  Parameters:
    `data` - the dataset.
    `item` - the item index (zero-based).
  Returns:
    The tooltip text.

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Tests if this object is equal to another.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.